<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | purepro Theme Layout                                                    |
// +---------------------------------------------------------------------------+
// | layout.php                                                                |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2008 by the following authors:                              |
// |                                                                           |
// | Authors: Hiroron           - hiroron AT hiroron DOT com                   |
// +---------------------------------------------------------------------------+
// | LICENSE                                                                   |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

// this file can't be used on its own
if (strpos(strtolower($_SERVER['PHP_SELF']), 'layout.php') !== false) {
    die ('This file can not be used on its own!');
}

/**
* Create the layout
*
* @param    Template    $theme      reference to the template
* @param    array       $lblocks    left block contents
* @param    array       $rblocks    right block contents
*
*/
function purepro_renderLayout( &$theme, $lblocks, $rblocks) {
    //content stacked on extra - navigation
    if ( empty($lblocks) && empty($rblocks) ) {
        $theme->set_var('gl_content','gl_content-full');
    } else if ( empty($lblocks) ) {
        $theme->set_var('gl_content','gl_content-full');
        $theme->set_var('gl_extra','gl_extra');
    } else if ( empty($rblocks) ) {
        $theme->set_var('gl_content','gl_content');
        $theme->set_var('gl_navigation','gl_navigation');  // moves navigation to the far right.
    } else {
        $theme->set_var('gl_content','gl_content');
        $theme->set_var('gl_navigation','gl_navigation');
        $theme->set_var('gl_extra','gl_extra');
    }
}

?>