<?php
// +---------------------------------------------------------------------------+
// | Theme Functions 1.8.0                                                     |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2010 by the following authors:                         |
// |                                                                           |
// | ben           cordiste AT free DOT fr                                     |
// +---------------------------------------------------------------------------+
// | Based on the original chameleon Plugin                                    |
// | Copyright (C) 2007 by the following authors:                              |
// |                                                                           |
// | Mark R. Evans - mark AT glfusion DOT org                                  |   
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+


// this file can't be used on its own
if (strpos(strtolower($_SERVER['PHP_SELF']), 'functions.php') !== false) {
    die ('This file can not be used on its own!');
}

$_IMAGE_TYPE = 'png';

$result = DB_query ("SELECT onleft,name,title FROM {$_TABLES['blocks']}");

$nrows = DB_numRows ($result);
for ($i = 0; $i < $nrows; $i++) {
    $A = DB_fetchArray ($result);
    if ($A['onleft'] == 1) {
        if ( strncasecmp($A['title'],".",1) == 0){
            $_BLOCK_TEMPLATE[$A['name']] = 'blockheader-left-notitle.thtml,blockfooter-left.thtml';
        } else {
            $_BLOCK_TEMPLATE[$A['name']] = 'blockheader-left.thtml,blockfooter-left.thtml';
        }
    } else {
        if ( strncasecmp($A['title'],".",1) == 0){
            $_BLOCK_TEMPLATE[$A['name']] = 'blockheader-right-notitle.thtml,blockfooter-right.thtml';
        } else {
            $_BLOCK_TEMPLATE[$A['name']] = 'blockheader-right.thtml,blockfooter-right.thtml';
        }
    }
}

$_BLOCK_TEMPLATE['_msg_block'] = 'blockheader-message.thtml,blockfooter-message.thtml';
$_BLOCK_TEMPLATE['configmanager_block'] = 'blockheader-config.thtml,blockfooter-config.thtml';
$_BLOCK_TEMPLATE['configmanager_subblock'] = 'blockheader-config.thtml,blockfooter-config.thtml';
$_BLOCK_TEMPLATE['whats_related_block'] = 'blockheader-related.thtml,blockfooter-related.thtml';
$_BLOCK_TEMPLATE['story_options_block'] = 'blockheader-related.thtml,blockfooter-related.thtml';

	
/**
* Returns the site header
*
* This loads the proper templates, does variable substitution and returns the
* HTML for the site header with or without blocks depending on the value of $what
*
* Note that the default for the header is to display the left blocks and the
* default of the footer is to not display the right blocks.
*
* @param    string  $what       If 'none' then no left blocks are returned, if 'menu' (default) then right blocks are returned
* @param    string  $pagetitle  optional content for the page's <title>
* @param    string  $headercode optional code to go into the page's <head>
* @return   string              Formatted HTML containing the site header
* @see function COM_siteFooter
*
*/

function purepro_siteHeader ($what = 'menu', $pagetitle = '', $headercode = '' )
{
    global $_CONF, $_TABLES, $_USER, $_PLUGINS, $LANG01, $LANG_BUTTONS, $LANG_DIRECTION, $LANG_PP01,
           $_IMAGE_TYPE, $topic, $_COM_VERBOSE, $theme_what, $theme_pagetitle,
           $theme_headercode, $theme_layout, $footer_type, $_SCRIPTS;

    $theme_what         = $what;
    $theme_pagetitle    = $pagetitle;
    $theme_headercode   = $headercode;

    // determine which layout we're using:

    if (! in_array('purepro', $_PLUGINS) || DB_getItem($_TABLES['plugins'], 'pi_enabled', "pi_name = 'purepro'") == 0 || is_numeric(DB_getItem($_TABLES['pp_settings'], 'id', "bydefault = 1")) == false) {
		//Purepro theme
		if ( file_exists($_CONF['path_data'] . 'purepro/1/theme.php') ) {
            include $_CONF['path_data'] . 'purepro/1/theme.php';
            $id = 1;

			if(!defined("PUREPROID")) {
				define("PUREPROID", $id); 
			}
        } else {
            die("Oups... No template : Help! >> Please be sure your data/purepro/1/theme.php file exists.");
        }
    } else {
	    //Purepro online theme maker
		if ($_COOKIE['pureprotheme'] == '') {
			$_COOKIE['pureprotheme'] = 1;
		}
		if(!defined("PUREPROID")) {
			define("PUREPROID", $_COOKIE['pureprotheme']); 
		}
        $result = DB_query("SELECT * FROM {$_TABLES['pp_settings']} WHERE id = '" . PUREPROID . "' LIMIT 1");
        $id = PUREPROID;
        list($thid, $name, $theme_layout, $container_max_width, $color_layout, $lblock_layout, $rblock_layout, $menu_layout, $menu_align, $logo_type, 
        $use_slogan, $fontfamily, $fontsize, $bgcolor, $bgimage, $bgrepeat, $bgpositionh, $bgpositionv, $use_rss_image_link, 
        $use_searchbox, $use_jump_pagetop, $use_terms, $use_privacy,,$headerlogoheight,,,,, $use_glmenu,, $header_type, $footer_type, 
        $storyfeature_type,,,,$public,$owner_id) = DB_fetchArray($result);
		
        //check if user has acces to this theme
        $theme = DB_fetchArray($result);
        if ($public != 1 && $owner_id != $_USER['uid']) {
            if (SEC_hasAccess2($theme) != 3) {
                setcookie('pureprotheme',1, time() + (24*60*60), '/', '', '');
                echo 'Oups.. You\'re not allowed to see this theme :(';
                exit();
            }
        }
    }

	$cachecss = $_CONF['path_data'] . 'purepro/' . PUREPROID . '/cache.css';

    if ( empty($theme_layout) || $theme_layout == '' || $theme_layout == 0 ) {
        $theme_layout = 1;
    }

    // Doctype
    switch ($_CONF['doctype']) {
    case 'html401transitional':
        $doctype = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
        break;

    case 'html401strict':
        $doctype = '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">';
        break;

    case 'xhtml10transitional':
        $doctype = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
        break;

    case 'xhtml10strict':
        $doctype = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';
        break;

    default: // fallback: HTML 4.01 Transitional w/o system identifier
        $doctype = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
        break;
    }

    $loggedInUser = !COM_isAnonUser();
    // send out the charset header
    header( 'Content-Type: text/html; charset=' . COM_getCharset());
	header("cache-control: no-cache, no-store, must-revalidate, max-age=-1"); // HTTP/1.1
	header("expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
	header("pragma: no-store,no-cache");
	header("last-modified: Sat, 26 Jul 1997 05:00:00 GMT");

    if (!empty($_CONF['frame_options'])) {
        header('X-FRAME-OPTIONS: ' . $_CONF['frame_options']);
    }

    $header = COM_newTemplate( $_CONF['path_layout'] );
    $header->set_file( array(
        'htmlheader'    => 'htmlheader.thtml'
    ));
    //New 1.8.0
    $header->postprocess_fn = 'PLG_replaceTags';

	$header->set_var('doctype', $doctype);

    if (XHTML == '') {
        $header->set_var('xmlns', '');
    } else {
        $header->set_var('xmlns', ' xmlns="http://www.w3.org/1999/xhtml"');
    }
    $header->set_var('skip_navigation',$LANG_PP01['skip_navigation']);
 
	//favicon
	$images_url = $_CONF['site_url'] . '/' . substr($_CONF['path_images'], -( strlen($_CONF['path_images']) - strlen($_CONF['path_html'])) ) ;
	
	$header->set_var( 'images_url', $images_url);

    // get topic if not on home page
    if( !isset( $_GET['topic'] ))
    {
        if( isset( $_GET['story'] ))
        {
            $sid = COM_applyFilter( $_GET['story'] );
        }
        elseif( isset( $_GET['sid'] ))
        {
            $sid = COM_applyFilter( $_GET['sid'] );
        }
        elseif( isset( $_POST['story'] ))
        {
            $sid = COM_applyFilter( $_POST['story'] );
        }
        if( empty( $sid ) && $_CONF['url_rewrite'] &&
                ( strpos( $_SERVER['PHP_SELF'], 'article.php' ) !== false ))
        {
            COM_setArgNames( array( 'story', 'mode' ));
            $sid = COM_applyFilter( COM_getArgument( 'story' ));
        }
        if( !empty( $sid ))
        {
            $topic = DB_getItem( $_TABLES['stories'], 'tid', "sid='$sid'" );
        }
    }
    else
    {
        $topic = COM_applyFilter( $_GET['topic'] );
    }

    $feed_url = array();
    if( $_CONF['backend'] == 1 ) // add feed-link to header if applicable
    {
        $baseurl = SYND_getFeedUrl();

        $sql = 'SELECT format, filename, title, language FROM '
             . $_TABLES['syndication'] . " WHERE (header_tid = 'all')";
        if( !empty( $topic ))
        {
            $sql .= " OR (header_tid = '" . addslashes( $topic ) . "')";
        }
        $result = DB_query( $sql );
        $numRows = DB_numRows( $result );
        for( $i = 0; $i < $numRows; $i++ )
        {
            $A = DB_fetchArray( $result );
            if ( !empty( $A['filename'] ))
            {
                $format = explode( '-', $A['format'] );
                $format_type = strtolower( $format[0] );
                $format_name = ucwords( $format[0] );

                $feed_url[] = '<link rel="alternate" type="application/'
                          . $format_type . '+xml" hreflang="' . $A['language']
                          . '" href="' . $baseurl . $A['filename'] . '" title="'
                          . $format_name . ' Feed: ' . $A['title'] . '"' . XHTML . '>';
            }
        }
    }
    $header->set_var( 'feed_url', implode( LB, $feed_url ));

    $relLinks = array();
    if (COM_onFrontpage()) {
        $relLinks['canonical'] = '<link rel="canonical" href="'
                               . $_CONF['site_url'] . '/"' . XHTML . '>';
    } else {
        $relLinks['home'] = '<link rel="home" href="' . $_CONF['site_url']
                          . '/" title="' . $LANG01[90] . '"' . XHTML . '>';
    }
    $loggedInUser = !COM_isAnonUser();
    if( $loggedInUser || (( $_CONF['loginrequired'] == 0 ) &&
                ( $_CONF['searchloginrequired'] == 0 )))
    {
        if(( substr( $_SERVER['PHP_SELF'], -strlen( '/search.php' ))
                != '/search.php' ) || isset( $_GET['mode'] ))
        {
            $relLinks['search'] = '<link rel="search" href="'
                                . $_CONF['site_url'] . '/search.php" title="'
                                . $LANG01[75] . '"' . XHTML . '>';
        }
    }
    if( $loggedInUser || (( $_CONF['loginrequired'] == 0 ) &&
                ( $_CONF['directoryloginrequired'] == 0 )))
    {
        if( strpos( $_SERVER['PHP_SELF'], '/article.php' ) !== false ) {
            $relLinks['contents'] = '<link rel="contents" href="'
                        . $_CONF['site_url'] . '/directory.php" title="'
                        . $LANG01[117] . '"' . XHTML . '>';
        }
    }
    if (!$_CONF['disable_webservices']) {
        $relLinks['service'] = '<link rel="service" '
                    . 'type="application/atomsvc+xml" ' . 'href="'
                    . $_CONF['site_url'] . '/webservices/atom/?introspection" '
                    . 'title="' . $LANG01[130] . '"' . XHTML . '>';
    }
    // TBD: add a plugin API and a lib-custom.php function
    $header->set_var( 'rel_links', implode( LB, $relLinks ));

    if( empty( $pagetitle ) && isset( $_CONF['pagetitle'] ))
    {
        $pagetitle = $_CONF['pagetitle'];
    }
    if( empty( $pagetitle ))
    {
        if( empty( $topic ))
        {
            $pagetitle = $_CONF['site_slogan'];
        }
        else
        {
            $pagetitle = DB_getItem( $_TABLES['topics'], 'topic',
                                                   "tid = '$topic'" );
        }
    }
    if( !empty( $pagetitle ))
    {
        $header->set_var( 'page_site_splitter', ' - ');
    }
    else
    {
        $header->set_var( 'page_site_splitter', '');
    }
    $header->set_var( 'page_title', $pagetitle );
    $header->set_var( 'site_name', $_CONF['site_name']);

    if (COM_onFrontpage()) {
        $title_and_name = $_CONF['site_name'];
        if (!empty($pagetitle)) {
            $title_and_name .= ' - ' . $pagetitle;
        }
    } else {
        $title_and_name = '';
        if (!empty($pagetitle)) {
            $title_and_name = $pagetitle . ' - ';
        }
        $title_and_name .= $_CONF['site_name'];
    }
    $header->set_var('page_title_and_site_name', $title_and_name);

    $langAttr = '';
    if( !empty( $_CONF['languages'] ) && !empty( $_CONF['language_files'] ))
    {
        $langId = COM_getLanguageId();
    }
    else
    {
        // try to derive the language id from the locale
        $l = explode( '.', $_CONF['locale'] );
        $langId = $l[0];
    }
    if( !empty( $langId ))
    {
        $l = explode( '-', str_replace( '_', '-', $langId ));
        if(( count( $l ) == 1 ) && ( strlen( $langId ) == 2 ))
        {
            $langAttr = 'lang="' . $langId . '"';
        }
        elseif( count( $l ) == 2 )
        {
            if(( $l[0] == 'i' ) || ( $l[0] == 'x' ))
            {
                $langId = implode( '-', $l );
                $langAttr = 'lang="' . $langId . '"';
            }
            elseif( strlen( $l[0] ) == 2 )
            {
                $langId = implode( '-', $l );
                $langAttr = 'lang="' . $langId . '"';
            }
            else
            {
                $langId = $l[0];
            }
        }
    }
    $header->set_var( 'lang_id', $langId );
    if (!empty($_CONF['languages']) && !empty($_CONF['language_files'])) {
        $header->set_var('lang_attribute', $langAttr);
    } else {
        $header->set_var('lang_attribute', '');
    }
    $cssvers = getcsscounter(PUREPROID);
    $css_url = $_CONF['layout_url'] . '/css.php?id='. PUREPROID . '&vers=' . $cssvers; 
	$header->set_var( 'css_url', $css_url );
    $header->set_var( 'site_mail', "mailto:{$_CONF['site_mail']}" );
    $header->set_var( 'site_name', $_CONF['site_name'] );
    $header->set_var( 'site_slogan', $_CONF['site_slogan'] );
    $rdf = substr_replace( $_CONF['rdf_file'], $_CONF['site_url'], 0,
                           strlen( $_CONF['path_html'] ) - 1 );
    $header->set_var( 'rdf_file', $rdf );
    $header->set_var( 'rss_url', $rdf ); 

    $header->set_var( 'theme', $_CONF['theme'] );

    $header->set_var( 'charset', COM_getCharset());
    if( empty( $LANG_DIRECTION ))
    {
        // default to left-to-right
        $header->set_var( 'direction', 'ltr' );
    }
    else
    {
        $header->set_var( 'direction', $LANG_DIRECTION );
    }
	
    // Call any plugin that may want to include extra Meta tags
    // or Javascript functions
    $headercode .= PLG_getHeaderCode();
	
	// Meta Tags
    // 0 = Disabled, 1 = Enabled, 2 = Enabled but default just for homepage
    if ($_CONF['meta_tags'] > 0) {
        $meta_description = '';
        $meta_keywords = '';
        $no_meta_description = 1;
        $no_meta_keywords = 1;
        
        //Find out if the meta tag description or keywords already exist in the headercode
        if ($headercode != '') { 
            $pattern = '/<meta ([^>]*)name="([^"\'>]*)"([^>]*)/im'; 
            if (preg_match_all($pattern, $headercode, $matches, PREG_SET_ORDER)) {
                // Loop through all meta tags looking for description and keywords
                for ($i = 0; $i<count($matches) && (($no_meta_description == 1) || ($no_meta_keywords == 1)); $i++) { 
                    $str_matches = strtolower($matches[$i][0]); 
                    $pos = strpos($str_matches,'name='); 
                    if (!(is_bool($pos) && !$pos)) { 
                        $name = trim(substr($str_matches,$pos+5),'"'); 
                        $pos = strpos($name,'"'); 
                        $name = substr($name,0,$pos); 

                        if (strcasecmp("description",$name) == 0) { 
                            $pos = strpos($str_matches,'content='); 
                            if (!(is_bool($pos) && !$pos)) {
                                $no_meta_description = 0;
                            }
                        }
                        if (strcasecmp("keywords",$name) == 0) { 
                            $pos = strpos($str_matches,'content='); 
                            if (!(is_bool($pos) && !$pos)) {
                                $no_meta_keywords = 0;
                            }
                        }
                        
                    }
                }
            } 
        }
        
        If (COM_onFrontpage() && $_CONF['meta_tags'] == 2) { // Display default meta tags only on home page
            If ($no_meta_description) {
                $meta_description = $_CONF['meta_description'];
            }
            If ($no_meta_keywords) {
                $meta_keywords = $_CONF['meta_keywords'];
            }
        } else if ( $_CONF['meta_tags'] == 1 ) { // Display default meta tags anywhere there are no tags
            If ($no_meta_description) {
                $meta_description = $_CONF['meta_description'];
            }
            If ($no_meta_keywords) {
                $meta_keywords = $_CONF['meta_keywords'];
            }            
        }
        
        If ($no_meta_description OR $no_meta_keywords) {
            $headercode .= COM_createMetaTags($meta_description, $meta_keywords);
        }
    }
		
    $headercode =  $headercode . $_SCRIPTS->getHeader();
    $header->set_var( 'plg_headercode', $headercode);

    // Call to plugins to set template variables in the header
    PLG_templateSetVars( 'htmlheader', $header );

    // The following lines allow users to embed PHP in their templates.  This
    // is almost a contradition to the reasons for using templates but this may
    // prove useful at times ...
    // Don't use PHP in templates if you can live without it!

    $tmp = $header->parse('index_htmlheader', 'htmlheader');

    $xml_declaration = '';
    if ( get_cfg_var('short_open_tag') == '1' )
    {
        if ( preg_match( '/(<\?xml[^>]*>)(.*)/s', $tmp, $match ) )
        {
            $xml_declaration = $match[1] . LB;
            $tmp = $match[2];
        }
    }
		// Start caching / capturing output from geeklog and plugins
    ob_start();
    $retval = $xml_declaration . $tmp;
	$retval = eval( '?>' . $retval );
	
	// Start caching / capturing output from geeklog and plugins
    ob_start();
	
    return $retval;
}

/**
* Returns the site footer
*
* This loads the proper templates, does variable substitution and returns the
* HTML for the site footer.
*
* @param   boolean     $rightblock     Whether or not to show blocks on right hand side default is no
* @param   array       $custom         An array defining custom function to be used to format Rightblocks
* @see function themename_siteHeader
* @return   string  Formated HTML containing site footer and optionally right blocks
*
*/
function purepro_siteFooter( $rightblock = -1, $custom = '' )
{
    global $_CONF, $_PLUGINS, $_TABLES, $_USER, $LANG01, $LANG09, $LANG12, $LANG_BUTTONS, $LANG_DIRECTION, $LANG_PP01,
           $_IMAGE_TYPE, $topic, $_COM_VERBOSE, $theme_what, $_SCRIPTS,
           $theme_pagetitle, $theme_layout, $footer_type;
	
    $what = $theme_what;

	// determine which layout we're using:
	$code = '1.8.2';
	$version = DB_getItem( $_TABLES['vars'], 'value', "name = 'purepro'" );
	if ($version == '')
	{
		$sql = "INSERT INTO {$_TABLES['vars']} SET name='purepro', value='$code'";
		DB_query($sql);
		/* This code is for statistics ONLY */
        $message =  'Completed purepro theme install: ' . date('m d Y',time()) . "   AT " . date('H:i', time()) . "\n";
        $message .= 'Site: ' . $_CONF['site_url'] . ' and Sitename: ' . $_CONF['site_name'] . "\n";
        COM_mail("ben@geeklog.fr","Completed purepro v$code theme install",$message);
	} else if ($version != $code) {
		$sql = "UPDATE {$_TABLES['vars']} SET value='$code' WHERE name = 'purepro'";
		DB_query($sql);
		/* This code is for statistics ONLY */
        $message =  'Completed purepro theme upgrade: ' . date('m d Y',time()) . "   AT " . date('H:i', time()) . "\n";
        $message .= 'Site: ' . $_CONF['site_url'] . ' and Sitename: ' . $_CONF['site_name'] . "\n";
        COM_mail("ben@geeklog.fr","Updated purepro theme from v$version to v$code",$message);
	}

    if (! in_array('purepro', $_PLUGINS) || DB_getItem($_TABLES['plugins'], 'pi_enabled', "pi_name = 'purepro'") == 0 || is_numeric(DB_getItem($_TABLES['pp_settings'], 'id', "bydefault = 1")) == false) {
		//Purepro theme
		if ( file_exists($_CONF['path_data'] . 'purepro/1/theme.php') ) {
            include $_CONF['path_data'] . 'purepro/1/theme.php';
            $id = 1;

			if(!defined('PUREPROID')) {
				define('PUREPROID', $id); 
			}
        } else {
            die("Oups... No template : Help! >> Please be sure your data/purepro/1/theme.php file exists.");
        }
    } else {
	    //Purepro online theme maker
		if ($_COOKIE['pureprotheme'] == '') {
			$_COOKIE['pureprotheme'] = 1;
		}
		if(!defined('PUREPROID')) {
			define('PUREPROID', $_COOKIE['pureprotheme']); 
		}
        $result = DB_query("SELECT * FROM {$_TABLES['pp_settings']} WHERE id = '" . PUREPROID . "' LIMIT 1");
        $id = PUREPROID;
        list($thid, $name, $theme_layout, $container_max_width, $color_layout, $lblock_layout, $rblock_layout, $menu_layout, $menu_align, $logo_type, 
        $use_slogan, $fontfamily, $fontsize, $bgcolor, $bgimage, $bgrepeat, $bgpositionh, $bgpositionv, $use_rss_image_link, 
        $use_searchbox, $use_jump_pagetop, $use_terms, $use_privacy,,$headerlogoheight,,,,, $use_glmenu,, $header_type, $footer_type, 
        $storyfeature_type,,,,$public,$owner_id) = DB_fetchArray($result);
    }
	
    $footer = COM_newTemplate( $_CONF['path_layout'] );
	//$footer->set_unknowns('keep');
    $footer->set_file( array(
	    'header'        => 'header/header' . $header_type . '.thtml',
        'menuitem'      => 'menuitem.thtml',
        'menuitem_last' => 'menuitem_last.thtml',
        'menuitem_none' => 'menuitem_none.thtml',
        'leftblocks'    => 'leftblocks.thtml',
        'rightblocks'   => 'rightblocks.thtml',
        'footer'        => 'footer/footer' . $footer_type . '.thtml',
        'htmlfooter'    => 'htmlfooter.thtml',
    ));

    // Needed to set for pre (instead of post) since JavaScript could contain 
    // autotag labels (like in configuration search) 
    $footer->preprocess_fn = 'PLG_replaceTags';

    // Do variable assignments
    COM_hit();
	
	/******************/
    /* Now build header */
    /******************/
	
	$searchbox = '<div class="header-search" id="showsearchbox"';
	if ( $use_searchbox == 0 ) {
	    $searchbox .= ' style="display:none;"';
	}
	$searchbox .= ">
                <form method=\"get\" action=\"{$_CONF['site_url']}/search.php\">
                    <div>
                        <input id=\"header-textbox\" type=\"text\" name=\"query\" maxlength=\"255\" value=\"{$LANG09[10]}\" title=\"Search\" onfocus=\"if (this.value=='{$LANG09[10]}')this.value='';\" onblur=\"if(this.value=='')this.value='{$LANG09[10]}';\"{$xhtml}><input type=\"hidden\" name=\"type\" value=\"all\"><input type=\"hidden\" name=\"mode\" value=\"search\"{$xhtml}>
                    </div>
                </form>
            </div>";	
			
	$footer->set_var( 'searchbox', $searchbox );

    $msg = $LANG01[67] . ' ' . $_CONF['site_name'];

    if( !empty( $_USER['username'] ))
    {
        $msg .= ', ' . COM_getDisplayName( $_USER['uid'], $_USER['username'],
                                           $_USER['fullname'] );
    }
    
	$cssvers = getcsscounter(PUREPROID);
	
    //logo graphic
	$L = COM_newTemplate( $_CONF['path_layout'] );
	$L->set_file( array(
		'logo_graphic'          => 'logo-graphic.thtml',
	));
	$L->set_var( 'xhtml', XHTML);
	$L->set_var( 'site_url', $_CONF['site_url'] );
	$L->set_var( 'layout_url', $_CONF['layout_url'] );
	$L->set_var( 'site_name', $_CONF['site_name'] );
	$L->set_var( 'searchbox', $searchbox );

	if ( file_exists($_CONF['path_data'] . '/purepro/' . $id . '/logo'. $cssvers . '.png') ) {
		$site_logo = $_CONF['layout_url'] . '/images.php?img=logo'. $cssvers . '.png';
	} else {
		$site_logo = '';
	}
	$L->set_var( 'site_logo', $site_logo);
	if ($use_slogan) {
		$L->set_var( 'site_slogan', '<div id="header-site-slogan">' . $_CONF['site_slogan'] . '</div>');
	} else {
	$L->set_var( 'site_slogan', '' );
	}
	if ( $logo_type == 1 ) {
		$L->set_var( 'display_logo_graphic', 'block' );
		$footer->set_var( 'logo_block_text', '' );
		$L->parse('output','logo_graphic');
	    $footer->set_var('logo_block_graphic',$L->finish($L->get_var('output')));
	} else {
		$L->set_var( 'logo_block_graphic', '' );
	}

    //logo text
	$L2 = COM_newTemplate( $_CONF['path_layout'] );
	$L2->set_file( array(
		'logo_text'          => 'logo-text.thtml',
	));
	$L2->set_var( 'xhtml',XHTML);
	$L2->set_var( 'site_name', $_CONF['site_name'] );
	$L2->set_var( 'site_url', $_CONF['site_url'] );
	$L2->set_var( 'layout_url', $_CONF['layout_url'] );
	$L2->set_var( 'searchbox', $searchbox );

	if ($use_slogan) {
		$L2->set_var( 'site_slogan', '<div id="header-site-slogan">' . $_CONF['site_slogan'] . '</div>');
	} else {
	    $L2->set_var( 'site_slogan', '' );
	}
	if ( $logo_type == 0 ) {
		$L2->set_var( 'display_logo_text', 'block' );
		$footer->set_var( 'logo_block_graphic', '' );
	    $footer->set_var('logo_block_text',$L2->finish($L2->parse('output','logo_text')));
	} else {
	    $footer->set_var('logo_block_text', '');
	}

    // Now add variables for buttons like e.g. those used by the Yahoo theme
    $footer->set_var( 'button_home', $LANG_BUTTONS[1] );
    $footer->set_var( 'button_contact', $LANG_BUTTONS[2] );
    $footer->set_var( 'button_contribute', $LANG_BUTTONS[3] );
    $footer->set_var( 'button_sitestats', $LANG_BUTTONS[7] );
    $footer->set_var( 'button_personalize', $LANG_BUTTONS[8] );
    $footer->set_var( 'button_search', $LANG_BUTTONS[9] );
    $footer->set_var( 'button_advsearch', $LANG_BUTTONS[10] );
    $footer->set_var( 'button_directory', $LANG_BUTTONS[11] );

    $footer->set_var( array (
        'lang_login'        => $LANG01[58],
        'lang_myaccount'    => $LANG01[48],
        'lang_logout'       => $LANG01[35],
        'lang_newuser'      => $LANG12[3],
    ));

    // Get plugin menu options
    $plugin_menu = PLG_getMenuItems();

    if( $_COM_VERBOSE )
    {
        COM_errorLog( 'num plugin menu items in header = ' . count( $plugin_menu ), 1 );
    }

    // Now add nested template for menu items
    COM_renderMenu( $footer, $plugin_menu );

    if( count( $plugin_menu ) == 0 ) {
        $footer->parse( 'plg_menu_elements', 'menuitem_none', true );
    } else {
        $count_plugin_menu = count( $plugin_menu );
        for( $i = 1; $i <= $count_plugin_menu; $i++ )
        {
            $footer->set_var( 'menuitem_url', current( $plugin_menu ));
            $footer->set_var( 'menuitem_text', key( $plugin_menu ));

            if( $i == $count_plugin_menu ) {
                $footer->parse( 'plg_menu_elements', 'menuitem_last', true );
            } else {
                $footer->parse( 'plg_menu_elements', 'menuitem', true );
            }
            next( $plugin_menu );
        }
    }

	$menustyle ='';
	
	$resultglmenu = DB_query("SELECT * FROM {$_TABLES['plugins']} WHERE (pi_name='glmenu' AND pi_enabled='1')");
	$nRowsglmenu  = DB_numRows($resultglmenu);
	$resultnavman = DB_query("SELECT * FROM {$_TABLES['plugins']} WHERE (pi_name='navman' AND pi_enabled='1')");
	$nRowsnavman  = DB_numRows($resultnavman);
	$resultmenu = DB_query("SELECT * FROM {$_TABLES['plugins']} WHERE (pi_name='menu' AND pi_enabled='1')");
	$nRowsmenu  = DB_numRows($resultmenu);

	if (( $use_glmenu == 1 ) && ( $nRowsglmenu == 1 )) {
        //glmenu
		$display_glmenu = 'block';
        $display_menu_elements = 'none';
        $footer->set_var( 'menu_elements', '');
        $display_menu_navman = 'none';
        $footer->set_var( 'header_navigation', '');
	} elseif (( $use_glmenu == 2 ) && (( $nRowsnavman == 1 ) || ( $nRowsmenu == 1 ) )) {
	    //navman or menu plgin
        $display_glmenu = 'none';
        $display_menu_elements = 'none';
        $footer->set_var( 'menu_elements', '');
        $display_menu_navman = 'block';
        $footer->set_var( 'glmenu', '');
	} else {
	    //menu elements
        $display_glmenu = 'none';
        $display_menu_elements = 'block';
        $display_menu_navman = 'none';
        $footer->set_var( 'glmenu', '');
        $footer->set_var( 'header_navigation', '');
	}
			
	$footer->set_var( 'display_menu_elements', $display_menu_elements );
	$footer->set_var( 'display_glmenu', $display_glmenu );
	$footer->set_var( 'display_navman', $display_menu_navman );

	//Check if a staticpage with id: purepro_header exists
	if (PLG_getItemInfo('staticpages', 'purepro_header', 'id') == 'purepro_header') {
        $footer->set_var( 'purepro_header', PLG_getItemInfo('staticpages', 'purepro_header', 'excerpt'));
    } else {
        $footer->set_var( 'purepro_header', '');
    } 
	
	// Call to plugins to set template variables in the header
    PLG_templateSetVars( 'header', $footer );
	
	// Grab any content that was cached by the system
    $content = ob_get_contents();
    ob_end_clean();
    $footer->set_var('content',$content);
	
	//Build Footer

    $footer->set_var( 'site_mail', "mailto:{$_CONF['site_mail']}" );
    $footer->set_var( 'site_name', $_CONF['site_name'] );
    $rdf = substr_replace( $_CONF['rdf_file'], $_CONF['site_url'], 0,
                          strlen( $_CONF['path_html'] ) - 1 );
    $footer->set_var( 'rdf_file', $rdf );
    $footer->set_var( 'rss_url', $rdf );

    $year = date( 'Y' );
    $copyrightyear = $year;
    if( !empty( $_CONF['copyrightyear'] ))
    {
        $copyrightyear = $_CONF['copyrightyear'];
    }
	//New 1.8.0
    if(!empty($_CONF['owner_name'])) {
        $copyrightname = $_CONF['owner_name'];
    } else {
        $copyrightname = $_CONF['site_name'];
    }
    $footer->set_var( 'copyright_notice', '&nbsp;' . $LANG01[93] . ' &copy; '
            . $copyrightyear . ' ' . $copyrightname . '<br' . XHTML . '>&nbsp;'
            . $LANG01[94] );
    $footer->set_var( 'copyright_msg', $LANG01[93] . ' &copy; '
            . $copyrightyear . ' ' . $_CONF['site_name'] );
    $footer->set_var( 'current_year', $year );
    $footer->set_var( 'lang_copyright', $LANG01[93] );
    $footer->set_var( 'trademark_msg', $LANG01[94] );
    $footer->set_var( 'powered_by', $LANG01[95] );
    $footer->set_var( 'geeklog_url', 'http://www.geeklog.net/' );
    $footer->set_var( 'geeklog_version', VERSION );
	
	$rss_image_link = '';
	if ( $use_rss_image_link == 1) {
	    $rss_image_link .= '<span id="showrssimagelink"><a href="' . $rdf . '"><img id="footer-rss" src="' . $_CONF['layout_url'] . '/images/rss.png" alt="RSS"'. XHTML .'></a></span>';
	}
	
	$footer_separator = '&nbsp;&nbsp;|&nbsp;&nbsp;';
	$separator = 0;
	$footer_links = '';
	
	if ( $use_jump_pagetop == 1) {
	    $footer_links .= '<span id="showjumpagetop" display="block"><a href="#top">' . $LANG_PP01['jump_pagetop'] . '</a></span>';
		$separator = 1;
	}
	
	if ( $use_terms == 1) {
	    if ( $separator == 1) {
			$footer_links .= $footer_separator;
		}
	    $footer_links .= '<span id="showterms" display="block"><a href="' . $_CONF['layout_url'] . '/extras/terms.php">Terms</a></span>';
		$separator = 1;
	}
	
	if ($use_privacy == 1 ) {
	    if ( $separator == 1) {
			$footer_links .= $footer_separator;
			$separator = 0;
		}
	    $footer_links .= '<span id="showprivacy" display="block"><a href="' . $_CONF['layout_url'] . '/extras/privpol.php">Privacy</a></span>';
	}
    
	$footer->set_var('rss_image_link',$rss_image_link);
    $footer->set_var('footer_links',$footer_links);	

    $lblocks = '';

    /* Check if an array has been passed that includes the name of a plugin
     * function or custom function
     * This can be used to take control over what blocks are then displayed
     */
    if( is_array( $what ))
    {
        $function = $what[0];
        if( function_exists( $function ))
        {
            $lblocks = $function( $what[1], 'left' );
        }
        else
        {
            $lblocks = COM_showBlocks( 'left', $topic );
        }
    }
    elseif( $what <> 'none' )
    {
        // Now show any blocks -- need to get the topic if not on home page
        $lblocks = COM_showBlocks( 'left', $topic );
    } else {
	    $lblocks = '';
	}

    if( empty( $lblocks ))
    {
        $footer->set_var( 'left_blocks', '' );
        $footer->set_var( 'geeklog_blocks', '' );
    }
    else
    {
        $footer->set_var( 'geeklog_blocks', $lblocks );
    }

    if( is_array( $custom )) {
        $function = $custom['0'];
        if( function_exists( $function ))
        {
            $rblocks = $function( $custom['1'], 'right' );
        }
    } elseif( $rightblock <> -1 || $rightblock === true || $_CONF['show_right_blocks'] === true ) {
	    $rblocks = COM_showBlocks( 'right', $topic );
        if( empty( $rblocks )) {
            $footer->set_var( 'geeklog_rblocks', '');
            $footer->set_var( 'right_blocks','');
        } else {
            $footer->set_var( 'geeklog_rblocks', $rblocks);
        }
    } else {
		$rblocks = '';
        $footer->set_var( 'geeklog_rblocks', '');
        $footer->set_var( 'right_blocks', '' );
    }

    //Render layout
    $flg_renderLayout = false;
	$path_style_layout = $_CONF['path_data'] . 'purepro/' . PUREPROID . '/layout.php';
    if ( file_exists($path_style_layout) ) {
        require_once($path_style_layout);
        if ( function_exists('purepro_renderLayout') ) {
		    $theme =& $footer;
            purepro_renderLayout($footer, $lblocks, $rblocks);
            $flg_renderLayout = true;
        }
    }

    if ( !$flg_renderLayout ) {
        if ( empty($lblocks) && empty($rblocks) ) {
            $footer->set_var('gl_content','gl_content-full');
			$footer->set_var('gl_extra','');
            $footer->set_var('gl_navigation','');
        } elseif ( empty($lblocks) ) {
            $footer->set_var('gl_content','gl_content-wide-right');
            $footer->set_var('gl_navigation','');
        } elseif ( empty($rblocks)) {
            $footer->set_var('gl_content','gl_content-wide-left');
			$footer->set_var('gl_extra','');
        } else {
            $footer->set_var('gl_content','gl_content');
			$footer->set_var('gl_extra','gl_extra');
            $footer->set_var('gl_navigation','gl_navigation');
        }
    }
    $footer->parse('index_header', 'header' );
    if ( !empty( $lblocks) ) {
        $footer->parse( 'left_blocks', 'leftblocks', true );
        $footer->set_var( 'geeklog_blocks', '');
    }
    if ( !empty ($rblocks) ) {
        $footer->parse( 'right_blocks', 'rightblocks', true );
        $footer->set_var( 'geeklog_rblocks', '');
    }

    //Check if a staticpage with id: purepro_footer exists
	if (PLG_getItemInfo('staticpages', 'purepro_footer', 'id') == 'purepro_footer') {
        $footer->set_var( 'purepro_footer', PLG_getItemInfo('staticpages', 'purepro_footer', 'excerpt'));
    } else {
        $footer->set_var( 'purepro_footer', '');
    }

    // Call to plugins to set template variables in the footer
    PLG_templateSetVars( 'footer', $footer );
    
    $_SCRIPTS->setJavaScriptLibrary('jquery');

    // Retrieve any JavaScript libraries, variables and functions
    $footercode = $_SCRIPTS->getFooter();
    
    // Call any plugin that may want to include extra JavaScript functions
    $footercode .= PLG_getFooterCode();
    
    $footer->set_var('plg_footercode', $footercode);

    // The following lines allow users to embed PHP in their templates.  This
    // is almost a contradition to the reasons for using templates but this may
    // prove useful at times ...
    // Don't use PHP in templates if you can live without it!
	
	$tmp = $footer->parse( 'index_header', 'header' );
    $retval = eval( '?>' . $tmp );

    $footer->parse('index_footer', 'footer');
	$footer->parse('index_htmlfooter', 'htmlfooter');
    
    $retval .= $footer->finish( $footer->get_var( 'index_htmlfooter' ));
	
    return $retval;
}


/**
* Return counter
*/
function getcsscounter($theme_id) {

    global $_CONF;

    $counter_file = $_CONF['path_data'] . 'purepro/'. $theme_id . '/purepro_count.txt';

    if (file_exists($counter_file)) {
        $counter = file_get_contents($counter_file);
    } else {
        $counter = 0;
    }

	return $counter;
}
?>