<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | PurePro 1.7.3                                                             |
// +---------------------------------------------------------------------------+
// | images.php                                                                |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2011 by the following authors:                              |
// |                                                                           |
// | Authors: Ben              - ben AT geeklog DOT fr                         |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

//Build with help from http://php.net/manual/en/function.header.php

require_once('../../lib-common.php');

// Getting headers sent by the client.

if(!function_exists('apache_request_headers')) {
    function apache_request_headers() {
        $headers = array();
        foreach($_SERVER as $key => $value) {
            if(substr($key, 0, 5) == 'HTTP_') {
                $headers[str_replace(' ', '-', ucwords(str_replace('_', ' ', strtolower(substr($key, 5)))))] = $value;
            }
        }
        return $headers;
    }
}

$headers = apache_request_headers();

if ($_COOKIE['pureprotheme'] == '') {
	$_COOKIE['pureprotheme'] = 1;
}

if(!defined('PUREPROID')) {
    define('PUREPROID', $_COOKIE['pureprotheme']); 
}
$theme_id = PUREPROID;

$fn = $_CONF['path_data'] . 'purepro/' . $theme_id  .'/' . $_GET['img'];

//First, see if the file exists
if (!is_file($fn)) { die("<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL was not found on this server.</p>
</body></html>"); }

//Gather relevent info about file
$len = filesize($fn);
$filename = basename($fn);
$file_extension = strtolower(substr(strrchr($fn,"."),1));

//This will set the Content-Type to the appropriate setting for the file
switch( $file_extension ) {
  case "jpeg":
  case "jpg": $ctype="image/jpg"; break;
  case "gif": $ctype="image/gif"; break;
  case "png": $ctype="image/png"; break;
  default: die("<b>Cannot be used for ". $file_extension ." files!</b>"); break;
}

// Checking if the client is validating his cache and if it is current.
if (isset($headers['If-Modified-Since']) && (strtotime($headers['If-Modified-Since']) == filectime($fn))) {
    // Client's cache IS current, so we just respond '304 Not Modified'.
    header('Last-Modified: ' . gmdate('D, d M Y H:i:s', filectime($fn)).' GMT', true, 304);
} else {
    // Image not cached or cache outdated, we respond '200 OK' and output the image.
    header('Last-Modified: ' . gmdate('D, d M Y H:i:s', filectime($fn)).' GMT', true, 200);
    header('Content-Length: ' . $len);
    //Use the switch-generated Content-Type
    header('Content-Type: '. $ctype);
    COM_output(file_get_contents($fn));
}

?>